LibreOffice: com/sun/star/uno/Type.h File Reference

LibreOffice LibreOffice 7.6 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
Type.h File Reference
`#include "typelib/typedescription.h"`
`#include "com/sun/star/uno/TypeClass.hdl"`
`#include "rtl/ustring.hxx"`
`#include "rtl/alloc.h"`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Type
| C++ class representing an IDL meta type. More...
class | com::sun::star::uno::Array< T >
| Helper class to specify a type pointer for idl arrays. More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Enumerations
enum | com::sun::star::uno::UnoType_NoAcquire { com::sun::star::uno::UNO_TYPE_NO_ACQUIRE }
| Enum defining UNO_TYPE_NO_ACQUIRE for type description reference transfer. More...

## Functions
const ::com::sun::star::uno::Type & | getCppuType (const ::com::sun::star::uno::Type *)
| Gets the meta type of IDL type "type".
const ::com::sun::star::uno::Type & | getCppuVoidType ()
| Gets the meta type of IDL type void.
const ::com::sun::star::uno::Type & | getVoidCppuType ()
| Gets the meta type of IDL type void.
const ::com::sun::star::uno::Type & | getCppuBooleanType ()
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getBooleanCppuType ()
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getCppuType (const sal_Bool *)
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getCppuType (bool const *)
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getCharCppuType ()
| Gets the meta type of IDL type char.
const ::com::sun::star::uno::Type & | getCppuCharType ()
| Gets the meta type of IDL type char.
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int8 *)
| Gets the meta type of IDL type byte.
const ::com::sun::star::uno::Type & | getCppuType (const ::rtl::OUString *)
| Gets the meta type of IDL type string.
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int16 *)
| Gets the meta type of IDL type short.
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt16 *)
| Gets the meta type of IDL type unsigned short.
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int32 *)
| Gets the meta type of IDL type long.
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt32 *)
| Gets the meta type of IDL type unsigned long.
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int64 *)
| Gets the meta type of IDL type hyper.
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt64 *)
| Gets the meta type of IDL type unsigned hyper.
const ::com::sun::star::uno::Type & | getCppuType (const float *)
| Gets the meta type of IDL type float.
const ::com::sun::star::uno::Type & | getCppuType (const double *)
| Gets the meta type of IDL type double.
template<typename T >
const ::com::sun::star::uno::Type & | getCppuType ()
| Gets the meta type of an IDL type.
template<>
const ::com::sun::star::uno::Type & | getCppuType< sal_Unicode > ()
| Gets the meta type of IDL type char.

## Function Documentation

## ◆ getBooleanCppuType()

const ::com::sun::star::uno::Type & getBooleanCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCharCppuType()

const ::com::sun::star::uno::Type & getCharCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuBooleanType()

const ::com::sun::star::uno::Type & getCppuBooleanType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuCharType()

const ::com::sun::star::uno::Type & getCppuCharType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [1/14]

template<typename T >

const ::com::sun::star::uno::Type & getCppuType | ( |  | ) |
| inline

Gets the meta type of an IDL type.

The difference between this function template (with a type parameter) and the overloaded getCppuType function with a single (dummy) parameter of a specific type is that this function template may not work for the UNO type "unsigned short" (sal_uInt16 in C++), while the overloaded one-parameter function may not work for the UNO type "char" (sal_Unicode in C++, which may have the same underlying C++ type as sal_uInt16 on certain platforms).

Returns
  type of the given IDL type

Deprecated:
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

## ◆ getCppuType() [2/14]

const ::com::sun::star::uno::Type & getCppuType | ( | bool const * |  | ) |
| inline

Gets the meta type of IDL type boolean.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type boolean

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [3/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const ::com::sun::star::uno::Type * |  | ) |
| inline

Gets the meta type of IDL type "type".

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type "type"

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [4/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const ::rtl::OUString * |  | ) |
| inline

Gets the meta type of IDL type string.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type string

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [5/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const double * |  | ) |
| inline

Gets the meta type of IDL type double.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type double

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [6/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const float * |  | ) |
| inline

Gets the meta type of IDL type float.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type float

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [7/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_Bool * |  | ) |
| inline

Gets the meta type of IDL type boolean.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type boolean

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [8/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_Int16 * |  | ) |
| inline

Gets the meta type of IDL type short.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type short

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [9/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_Int32 * |  | ) |
| inline

Gets the meta type of IDL type long.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type long

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [10/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_Int64 * |  | ) |
| inline

Gets the meta type of IDL type hyper.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type hyper

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [11/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_Int8 * |  | ) |
| inline

Gets the meta type of IDL type byte.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type byte

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [12/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_uInt16 * |  | ) |
| inline

Gets the meta type of IDL type unsigned short.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned short

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [13/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_uInt32 * |  | ) |
| inline

Gets the meta type of IDL type unsigned long.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned long

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType() [14/14]

const ::com::sun::star::uno::Type & getCppuType | ( | const sal_uInt64 * |  | ) |
| inline

Gets the meta type of IDL type unsigned hyper.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned hyper

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType< sal_Unicode >()

template<>

const ::com::sun::star::uno::Type & getCppuType< sal_Unicode > | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated:
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

## ◆ getCppuVoidType()

const ::com::sun::star::uno::Type & getCppuVoidType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void

Deprecated:
  Use cppu::UnoType instead.

## ◆ getVoidCppuType()

const ::com::sun::star::uno::Type & getVoidCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void

Deprecated:
  Use cppu::UnoType instead.